<?
///гонки by Pavel grey
///авторство: Pavel Grey
///icq: 5065063, vk.com/pavelgrey
if(isset($_GET['buy']) && ($_GET['buy']!=0) && ($_GET['buy']>0 && $_GET['buy']<7))
{
$auto=$_GET['buy'];
if($auto<=4)
{
    $cena=($auto*1500000);
    $val='rubies';
}
if($auto>4)
{
    $cena=($auto*50);
        $val='fermoney';

}
if($auto==1)
{
$speed=50;
$sec=40;
$level=50;
}
if($auto==2)
{
$speed=70;
$sec=35;
$level=80;
}
if($auto==3)
{
$speed=90;
$sec=30;
$level=120;
}
if($auto==4)
{
$speed=120;
$sec=25;
$level=150;
}
if($auto==5)
{
$speed=150;
$sec=20;
$level=250;
}
if($auto==6)
{
$speed=200;
$sec=15;
$level=300;
}

if($ku['level']>=$level && $ku[''.$val.'']>=$cena)
{
mysql_query("INSERT INTO `rice_garage` SET `id_user` = '$ku[id]', `auto` = '$auto', `sec` = '$sec', `speed` = '$speed'");
if($auto<=4)mysql_query("UPDATE `kolhoz_user` SET `rubies` = `rubies` - '$cena' WHERE `id` = '$ku[id]'");
if($auto>4)mysql_query("UPDATE `kolhoz_user` SET `fermoney` = `fermoney` - '$cena' WHERE `id` = '$ku[id]'");

$_SESSION['msg']='Автомобиль успешно куплен!';
header("location:/?rice&garage");
}else{
$_SESSION['msg']='При покупке произошла ошибка: Недостаточно валюты или уровня.';
header("location:/?rice&autoshop");
}
}
echo'<div class="event"><h1><a href="/?rice">Магазин автомобилей</a></h1></div>';
echo'<div class="block">В нашем магазине вы можете приобрести автомобили <span class="title">премиум класса</span> за доступные цены!<br>Все автомобили имеют статус <span class="title">"Прямо с завода"</span></div>';

echo'<div class="block"><img width="80" src="/rice/images/1.png"> <span class="title"><b>Chevelot</b></span>
<br> <img src="/rice/images/level.png"> Доступно с <span class="title">50 ур.</span>
<br> <img src="/rice/images/speed.png"> Скорость: <span class="title">50 км / час.</span>
<br> <img src="/rice/images/time.png"> Разгон:  <span class="title">40 сек.</span>
</div>';
if($ku['level']>=50)echo'<div class="block"><img src="/rice/images/autobuy.png"> <a href="/?rice&autoshop&buy=1">Приобрести автомобиль</a> <img src="/images/icons/ruby.png"> <span class="title">1 500 000</span></a></div>';
if($ku['level']<50)echo'<div class="block"><img src="/rice/images/wow.png"> Ваш уровень мал для покупки данного авто</div>';
echo'<div class="block"><img width="80" src="/rice/images/2.png"> <span class="title"><b>Childhood</b></span>
<br> <img src="/rice/images/level.png"> Доступно с <span class="title">80 ур.</span>
<br> <img src="/rice/images/speed.png"> Скорость: <span class="title">70 км / час.</span>
<br> <img src="/rice/images/time.png"> Разгон:  <span class="title">35 сек.</span>
</div>';
if($ku['level']>=80)echo'<div class="block"><img src="/rice/images/autobuy.png"> <a href="/?rice&autoshop&buy=2">Приобрести автомобиль</a> <img src="/images/icons/ruby.png"> <span class="title">3 000 000</span></a></div>';
if($ku['level']<80)echo'<div class="block"><img src="/rice/images/wow.png"> Ваш уровень мал для покупки данного авто</div>';
echo'<div class="block"><img width="80" src="/rice/images/3.png"> <span class="title"><b>Minicar</b></span>
<br> <img src="/rice/images/level.png"> Доступно с <span class="title">120 ур.</span>
<br> <img src="/rice/images/speed.png"> Скорость: <span class="title">90 км / час.</span>
<br> <img src="/rice/images/time.png"> Разгон:  <span class="title">30 сек.</span>
</div>';
if($ku['level']>=120)echo'<div class="block"><img src="/rice/images/autobuy.png"> <a href="/?rice&autoshop&buy=3">Приобрести автомобиль</a> <img src="/images/icons/ruby.png"> <span class="title">4 500 000</span></a></div>';
if($ku['level']<120)echo'<div class="block"><img src="/rice/images/wow.png"> Ваш уровень мал для покупки данного авто</div>';
echo'<div class="block"><img width="80" src="/rice/images/4.png"> <span class="title"><b>Cabriolet</b></span>
<br> <img src="/rice/images/level.png"> Доступно с <span class="title">150 ур.</span>
<br> <img src="/rice/images/speed.png"> Скорость: <span class="title">120 км / час.</span>
<br> <img src="/rice/images/time.png"> Разгон:  <span class="title">25 сек.</span>
</div>';
if($ku['level']>=150)echo'<div class="block"><img src="/rice/images/autobuy.png"> <a href="/?rice&autoshop&buy=4">Приобрести автомобиль</a> <img src="/images/icons/ruby.png"> <span class="title">6 000 000</span></a></div>';
if($ku['level']<150)echo'<div class="block"><img src="/rice/images/wow.png"> Ваш уровень мал для покупки данного авто</div>';
echo'<div class="block"><img width="80" src="/rice/images/5.png"> <span class="title"><b>Ferrari</b></span>
<br> <img src="/rice/images/level.png"> Доступно с <span class="title">250 ур.</span>
<br> <img src="/rice/images/speed.png"> Скорость: <span class="title">150 км / час.</span>
<br> <img src="/rice/images/time.png"> Разгон:  <span class="title">20 сек.</span>
</div>';
if($ku['level']>=250)echo'<div class="block"><img src="/rice/images/autobuy.png"> <a href="/?rice&autoshop&buy=5">Приобрести автомобиль</a> <img src="/worldkassa/fermoney.png"> <span class="title">250</span></a></div>';
if($ku['level']<250)echo'<div class="block"><img src="/rice/images/wow.png"> Ваш уровень мал для покупки данного авто</div>';
echo'<div class="block"><img width="80" src="/rice/images/6.png"> <span class="title"><b>Camaro</b></span>
<br> <img src="/rice/images/level.png"> Доступно с <span class="title">300 ур.</span>
<br> <img src="/rice/images/speed.png"> Скорость: <span class="title">200 км / час.</span>
<br> <img src="/rice/images/time.png"> Разгон:  <span class="title">15 сек.</span>
</div>';
if($ku['level']>=300)echo'<div class="block"><img src="/rice/images/autobuy.png"> <a href="/?rice&autoshop&buy=6">Приобрести автомобиль</a> <img src="/worldkassa/fermoney.png"> <span class="title">300</span></a></div>';
if($ku['level']<300)echo'<div class="block"><img src="/rice/images/wow.png"> Ваш уровень мал для покупки данного авто</div>';
include_once'inc/foot.php';
?>